package RPC::OGo::Document::Account;
#
# $Id: Account.pm,v 1.2 2003/12/15 14:39:46 martin Exp $
#

$VERSION = "0.1";

use Carp;
use strict;
use vars;

use base qw/RPC::OGo::Document/;

=head1 NAME

RPC::OGo::Document::Account - Account Document class

=head1 SYNOPSIS

my $doc = new RPC::OGo::Document::Account();

my $doc = new RPC::OGo::Document::Account($accountDocument);


=head1 DESCRIPTION

RPC::OGo::Document::Account handles the access to the Account document
for OpenGroupware XMLRPC calls.

=head1 METHODS

=cut

=head2 new([$accountDocument])

Creates a new (empty) account document. If the parameter
$accountDocument is given, the object will be initialized with this
document. Returns the account object.

=cut
sub new {
    my ($class,$data) = @_;

    my $self;
    if ($data) {
        $self = $data;
        bless $self, $class;
    }
    else {
        $self = {};
        bless $self, $class;
        $self->_init();
    }
    return $self;
}


sub _init {
    my ($self) = shift;

    $self = { 'login' => '',
              'firstname' => '',
              'name'      => '',
            }
}


### EOP ###
1;
__END__

=head1 AUTHOR

Martin Werthmoeller <lt>mw@werthmoeller.de<gt>

=head1 SEE ALSO

L<perl>, L<RPC::OGo::Document>.

=cut
