package RPC::OGo::Person;
#
# $Id: Person.pm,v 1.2 2003/12/15 14:39:46 martin Exp $
#

$VERSION = "0.1";

use Carp;
use strict;

use base qw(RPC::OGo);
use RPC::OGo::Document::Person;

=head1 NAME RPC::OGo::Person - Access RPC::OGo person documents

=head1 SYNOPSIS

  use RPC::OGo;
  use RPC::OGo::Person;

  my $ogo = new RPC::OGo;
  my $Person = new Ogo::Person;

  my @ids = $Person->fetchIds('Werthm*');

  foreach (@ids) {
      my $pd = $Person->getById($ids);
      print "Email: ",$pd->email,"\n";
  }

=head1 DESCRIPTION

The RPC::OGo::Person module can fetch person data from the RPC::OGo
database via XMLRPC.

=head1 METHODS

=head2 new()

Creates a new RPC::OGo::Person object and returns it.

=cut
sub new {
    my $class = shift;
    my @param = @_;

    my $self = {};
    bless $self, $class;
    return $self;
}



### EOP ###
1;
__END__

=head1 AUTHOR

Martin Werthmoeller <lt>mw@werthmoeller.de<gt>

=head1 SEE ALSO

L<perl>, L<RPC::OGo::Document>.

=cut
